# Get VNC login information - GetUHostInstanceVncInfo

## Overview

Obtain detailed management VNC configuration information for the specified UHost instance.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUHostInstanceVncInfo`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **UHostId** | string | UHost Instance ID, see [DescribeUHostInstance](api/uhost-api/describe_uhost_instance) |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UHostId** | string | UHost Instance ID |No|
| **VncIP** | string | VNC Login IP |No|
| **VncPort** | int | VNC Login Port |No|
| **VncPassword** | string | VNC Login Password |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=GetUHostInstanceVncInfo
&Region=cn-bj2
&Zone=cn-bj2-04
&ProjectId=org-xxx
&UHostId=uhost-xxx
```

### Response Example
    
```json
{
  "Action": "GetUHostInstanceVncInfoResponse",
  "RetCode": 0,
  "UHostId": "uhost-xx",
  "VncIP": "106.75.xxx.xx",
  "VncPassword": "xxx",
  "VncPort": 61003
}
```





